%define _requires_exceptions pear(File/Util.php)
%define upstream_name File
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.4.1
Release: 	%mkrel 2
Summary: 	Common file and directory routines
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File-%{version}.tgz
URL: 		http://pear.php.net/package/File
BuildRequires: 	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides easy access to read/write to files along with
some common routines to deal with paths.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/File.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 376077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 spuhler <spuhler> 1.4.1-1.mga3
+ Revision: 329989
- upgrade to 1.4.1

* Tue Dec 06 2011 spuhler <spuhler> 1.4.0-2.mga2
+ Revision: 177254
- added %%define _requires_exceptions pear(File/Util.php) because file doesn't exist

* Sun Dec 04 2011 spuhler <spuhler> 1.4.0-1.mga2
+ Revision: 175884
- pearized spec file
- upgrade to 1.4.0

* Mon Jan 17 2011 spuhler <spuhler> 1.3.0-8.mga1
+ Revision: 20738
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File

